Rendering
Render HTML with data
POST
Renders a Liquid HTML string with data, without sending anything. Useful to check a template before you save it.
Requires the rendering:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
application/json- body
html*stringTemplate HTML, using Liquid variables such as {{ firstName }}.
data?Values for the variables.
application/json- response
html*stringThe rendered HTML.
curl -X POST 'https://api.mailcrate.io/public/render' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "html": "string"}'Example Response
{ "html": "string"}